SELECT DISTINCT h.orgu_code, h.till_short_desc, h.txhd_txn_nr,
               d.txde_detail_nr, t.ttyp_description,
               (SELECT a.addr_line_1
                  FROM address a, customer c1, cust_orgu_link, address_type
                 WHERE a.addr_owner_id = c1.cust_id
                   AND c1.cust_code = h.cust_code
                   AND cust_orgu_link.cust_id = c1.cust_id
                   AND a.addt_id = address_type.addt_id
                   AND address_type.addt_constant = 2
                   AND ( cust_orgu_link.orgu_id = 3
                        OR cust_orgu_link.orgu_id = 2
                       )),
               (SELECT a1.addr_line_2
                  FROM address a1, customer c2, cust_orgu_link, address_type
                 WHERE a1.addr_owner_id = c2.cust_id
                   AND c2.cust_code = h.cust_code
                   AND cust_orgu_link.cust_id = c2.cust_id
                   AND a1.addt_id = address_type.addt_id
                   AND address_type.addt_constant = 2
                   AND ( cust_orgu_link.orgu_id = 3
                        OR cust_orgu_link.orgu_id = 2
                       )),
               (SELECT c.cust_surname
                  FROM customer c, cust_orgu_link
                 WHERE c.cust_code = h.cust_code
                   AND cust_orgu_link.cust_id = c.cust_id
                   AND ( cust_orgu_link.orgu_id = 3
                        OR cust_orgu_link.orgu_id = 2
                       )),
               h.txhd_finish_date, (SELECT p.prod_receipt_desc
                                      FROM product p
                                     WHERE p.prod_sku = d.txde_sku_code),
               d.txde_description, h.txhd_operator_code, d.txde_item_void,
               h.orgu_code_cmpy, h.txhd_value_due, d.txde_quantity_sold,
               d.txde_sku_code
          FROM txn_header h, transaction_type t, txn_detail d
         WHERE 1=1 AND d.orgu_code_cmpy = h.orgu_code_cmpy
           AND d.orgu_code = h.orgu_code
           AND d.till_short_desc = h.till_short_desc
           AND d.txhd_txn_nr = h.txhd_txn_nr
           AND h.txhd_training_mode = 0
           AND h.txhd_finish_date > '20080303'
           AND h.txhd_finish_date < '20080309'
           AND h.txhd_txn_type = 3
           AND h.txhd_voided = 0
           AND h.txhd_state <> 5
           AND t.ttyp_trans_type = h.txhd_txn_type
           AND d.txde_voiding_line = 0
           AND d.txde_detail_type <> 15
       AND h.orgu_code = '0032'
      ORDER BY h.txhd_finish_date,
               h.orgu_code_cmpy,
               h.orgu_code,
               h.till_short_desc,
               h.txhd_txn_nr,
               d.txde_item_void,
               d.txde_detail_nr;
